#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 securemem
version:              0.1.10
visibility:           public
id:                   securemem-0.1.10-BEeIFImmh46Qes0xw1pUh
key:                  securemem-0.1.10-BEeIFImmh46Qes0xw1pUh
license:              BSD-3-Clause
copyright:            Vincent Hanquez <vincent@snarc.org>
maintainer:           vincent@snarc.org
author:               Vincent Hanquez <vincent@snarc.org>
stability:            experimental
homepage:             https://github.com/vincenthz/hs-securemem
synopsis:
    abstraction to an auto scrubbing and const time eq, memory chunk.

description:
    SecureMem is similar to ByteString, except that it provides a memory chunk that
    will be auto-scrubbed after it run out of scope.

category:             Data
abi:                  73cac87b379c7b18b505b3e3c3796e1d
exposed:              True
exposed-modules:      Data.SecureMem
import-dirs:          /usr/lib/ghc-8.10.5/site-local/securemem-0.1.10
library-dirs:         /usr/lib/ghc-8.10.5/site-local/securemem-0.1.10
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.5/securemem-0.1.10
hs-libraries:         HSsecuremem-0.1.10-BEeIFImmh46Qes0xw1pUh
depends:
    base-4.14.2.0 byteable-0.1.1-Gf4TH6XbSdI4yHpNVK8xgD
    bytestring-0.10.12.0 ghc-prim-0.6.1
    memory-0.16.0-E1gXzMJzgEcJ8QhI9dLs6S

haddock-interfaces:   /usr/share/doc/haskell-securemem/html/securemem.haddock
haddock-html:         /usr/share/doc/haskell-securemem/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

